Bug 217949 - CVE-2006-4514 libgsf heap overflow
CVE-2006-4514 libgsf heap overflow
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: libgsf (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Caolan McNamara
source=idefense,reported=20061130,pub...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-30 16:08 EST by Josh Bressers
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: RHSA-2007-0011
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-11 06:27:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch extracted from upstream CVS (622 bytes, patch)
2006-11-30 16:08 EST, Josh Bressers
no flags Details | Diff

  None (edit)
Description Josh Bressers 2006-11-30 16:08:28 EST
infamous41md discovered a heap overflow in libgsf.  When a specially crafted OLE
document is opened, it can overflow a buffer possibly leading to arbitrary code
execution.

This flaw should also affect RHEL3
Comment 1 Josh Bressers 2006-11-30 16:08:28 EST
Created attachment 142527 [details]
Patch extracted from upstream CVS
Comment 2 Caolan McNamara 2006-12-01 05:27:58 EST
Built as...

RHEL-4: libgsf-1.10.1-2
RHEL-3: libgsf-1.6.0-5
Comment 3 Caolan McNamara 2006-12-05 11:20:39 EST
RHEL-3: libgsf-1.6.0-6 to add extra BuildRequires so as to get the same output
rpms through brew as through beehive
Comment 4 Caolan McNamara 2006-12-05 12:10:19 EST
ah, screw it, still not sufficient for brewization, but...

RHEL-3: libgsf-1.6.0-7 looks good...

i.e. rpm -qRp libgsf-1.6.0-7.x86_64.rpm
glib2 >= 2.0.0
libORBit-2.so.0()(64bit)  
libbonobo-2.so.0()(64bit)  
libbonobo-activation.so.4()(64bit)  
libc.so.6()(64bit)  
libc.so.6(GLIBC_2.2.5)(64bit)  
libdl.so.2()(64bit)  
libglib-2.0.so.0()(64bit)  
libgmodule-2.0.so.0()(64bit)  
libgnomevfs-2.so.0()(64bit)  
libgobject-2.0.so.0()(64bit)  
libgsf-1.so.1()(64bit)  
libgthread-2.0.so.0()(64bit)  
liblinc.so.1()(64bit)  
libm.so.6()(64bit)  
libpthread.so.0()(64bit)  
libpthread.so.0(GLIBC_2.2.5)(64bit)  
libxml2.so.2()(64bit)  
libz.so.1()(64bit)  
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1


as opposed to
rpm -qRp libgsf-1.6.0-5.x86_64.rpm
glib2 >= 2.0.0
libc.so.6()(64bit)  
libc.so.6(GLIBC_2.2.5)(64bit)  
libgsf-1.so.1()(64bit)  
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
Comment 7 Jan Hutař 2006-12-15 04:52:33 EST
TPS run result adds:
TPS found some failures in tps-srpmtest.log of job 14637:
  re-ran by hand and seems OK (no failures)
TPS jobs 14634 and 14635 are still in "NOT_STARTED":
  14634: i386_3es: stable system for testing not available, will run it later 
but don't expect any problems
  14635: ia64_3es: re-ran by hand and PASS
Comment 8 Jan Hutař 2006-12-15 08:33:42 EST
Hello,
trying to test using "How to test" from RHSA-2006:0752, but RHEL3 contains 
librsvg2-2.2.3-6 which doesn't include rsvg-view:

# rpm -q librsvg2
librsvg2-2.2.3-6.el3.1.ia64
# rpm -ql librsvg2 | grep bin
/usr/bin/rsvg

Is following command enought to test this bug?:

$ rsvg email.svgz email.png
$ eog email.png   # to check output
Comment 9 Caolan McNamara 2006-12-15 08:38:11 EST
yes, that should be sufficient to show that rsvg can still open such compressed
stream storages through libgsf
Comment 14 Red Hat Bugzilla 2007-01-11 06:27:16 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2007-0011.html

Note You need to log in before you can comment on or make changes to this bug.